## syncevolution 1.5

=== src/synthesis/src/pcre/CMakeLists.txt ===
# CMakeLists.txt
#
# This file allows building PCRE with the CMake configuration and build
# tool. Download CMake in source or binary form from http://www.cmake.org/
#
# Original listfile by Christian Ehrlicher <Ch.Ehrlicher@gmx.de>
# Refined and expanded by Daniel Richard G. <skunk@iSKUNK.ORG>
#

PROJECT(PCRE C CXX)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6)

# Configuration checks

INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFileCXX)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)

CHECK_INCLUDE_FILE(dirent.h	HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(unistd.h	HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(sys/stat.h	HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/types.h	HAVE_SYS_TYPES_H)

CHECK_INCLUDE_FILE_CXX(type_traits.h		HAVE_TYPE_TRAITS_H)
CHECK_INCLUDE_FILE_CXX(bits/type_traits.h	HAVE_BITS_TYPE_TRAITS_H)

CHECK_FUNCTION_EXISTS(bcopy	HAVE_BCOPY)
CHECK_FUNCTION_EXISTS(memmove	HAVE_MEMMOVE)
CHECK_FUNCTION_EXISTS(strerror	HAVE_STRERROR)

CHECK_TYPE_SIZE("long long"		LONG_LONG)
CHECK_TYPE_SIZE("unsigned long long"	UNSIGNED_LONG_LONG)

# User-configurable options
#
# (Note: CMakeSetup displays these in alphabetical order, regardless of
# the order we use here)

SET(BUILD_SHARED_LIBS OFF CACHE BOOL
    "Build shared libraries instead of static ones.")

OPTION(PCRE_BUILD_PCRECPP "Build the PCRE C++ library (pcrecpp)." ON)

SET(PCRE_EBCDIC OFF CACHE BOOL
    "Use EBCDIC coding instead of ASCII. (This is rarely used outside of mainframe systems)")

SET(PCRE_LINK_SIZE "2" CACHE STRING
    "Internal link size (2, 3 or 4 allowed). See LINK_SIZE in config.h.in for details.")

SET(PCRE_MATCH_LIMIT "10000000" CACHE STRING
    "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")

SET(PCRE_MATCH_LIMIT_RECURSION "MATCH_LIMIT" CACHE STRING
    "Default limit on internal recursion. See MATCH_LIMIT_RECURSION in config.h.in for details.")

SET(PCRE_NEWLINE "LF" CACHE STRING
    "What to recognize as a newline (one of CR, LF, CRLF, ANY).")

SET(PCRE_NO_RECURSE OFF CACHE BOOL
    "If ON, then don't use stack recursion when matching. See NO_RECURSE in config.h.in for details.")

SET(PCRE_POSIX_MALLOC_THRESHOLD "10" CACHE STRING
    "Threshold for malloc() usage. See POSIX_MALLOC_THRESHOLD in config.h.in for details.")

SET(PCRE_SUPPORT_UNICODE_PROPERTIES OFF CACHE BOOL
    "Enable support for Unicode properties. (If set, UTF-8 support will be enabled as well)")

SET(PCRE_SUPPORT_UTF8 OFF CACHE BOOL
    "Enable support for the Unicode UTF-8 encoding.")

# Prepare build configuration

SET(pcre_have_type_traits 0)
SET(pcre_have_bits_type_traits 0)

IF(HAVE_TYPE_TRAITS_H)
	SET(pcre_have_type_traits 1)
ENDIF(HAVE_TYPE_TRAITS_H)

IF(HAVE_BITS_TYPE_TRAITS_H)
	SET(pcre_have_bits_type_traits 1)
ENDIF(HAVE_BITS_TYPE_TRAITS_H)

SET(pcre_have_long_long 0)
SET(pcre_have_ulong_long 0)

IF(HAVE_LONG_LONG)
	SET(pcre_have_long_long 1)
ENDIF(HAVE_LONG_LONG)

IF(HAVE_UNSIGNED_LONG_LONG)
	SET(pcre_have_ulong_long 1)
ENDIF(HAVE_UNSIGNED_LONG_LONG)

IF(NOT BUILD_SHARED_LIBS)
	SET(PCRE_STATIC 1)
ENDIF(NOT BUILD_SHARED_LIBS)

IF(PCRE_SUPPORT_UTF8 OR PCRE_SUPPORT_UNICODE_PROPERTIES)
	SET(SUPPORT_UTF8 1)
ENDIF(PCRE_SUPPORT_UTF8 OR PCRE_SUPPORT_UNICODE_PROPERTIES)

IF(PCRE_SUPPORT_UNICODE_PROPERTIES)
	SET(SUPPORT_UCP 1)
ENDIF(PCRE_SUPPORT_UNICODE_PROPERTIES)

SET(NEWLINE "")

IF(PCRE_NEWLINE STREQUAL "LF")
	SET(NEWLINE "10")
ENDIF(PCRE_NEWLINE STREQUAL "LF")
IF(PCRE_NEWLINE STREQUAL "CR")
	SET(NEWLINE "13")
ENDIF(PCRE_NEWLINE STREQUAL "CR")
IF(PCRE_NEWLINE STREQUAL "CRLF")
	SET(NEWLINE "3338")
ENDIF(PCRE_NEWLINE STREQUAL "CRLF")
IF(PCRE_NEWLINE STREQUAL "ANY")
	SET(NEWLINE "-1")
ENDIF(PCRE_NEWLINE STREQUAL "ANY")

IF(NEWLINE STREQUAL "")
	MESSAGE(FATAL_ERROR "The PCRE_NEWLINE variable must be set to one of the following values: \"LF\", \"CR\", \"CRLF\", \"ANY\".")
ENDIF(NEWLINE STREQUAL "")

IF(PCRE_EBCDIC)
	SET(EBCDIC 1)
ENDIF(PCRE_EBCDIC)

IF(PCRE_NO_RECURSE)
	SET(NO_RECURSE 1)
ENDIF(PCRE_NO_RECURSE)

# Output files

CONFIGURE_FILE(config-cmake.h.in
               ${CMAKE_BINARY_DIR}/config.h
               @ONLY)

CONFIGURE_FILE(pcre.h.generic
               ${CMAKE_BINARY_DIR}/pcre.h
               COPYONLY)

# What about pcre-config and libpcre.pc?

IF(PCRE_BUILD_PCRECPP)
	CONFIGURE_FILE(pcre_stringpiece.h.in
		       ${CMAKE_BINARY_DIR}/pcre_stringpiece.h
		       @ONLY)

	CONFIGURE_FILE(pcrecpparg.h.in
		       ${CMAKE_BINARY_DIR}/pcrecpparg.h
		       @ONLY)
ENDIF(PCRE_BUILD_PCRECPP)

# Character table generation

ADD_EXECUTABLE(dftables dftables.c)

GET_TARGET_PROPERTY(DFTABLES_EXE dftables LOCATION)

ADD_CUSTOM_COMMAND(
	COMMENT "Generating character tables (pcre_chartables.c) for current locale"
	DEPENDS dftables
	COMMAND ${DFTABLES_EXE}
	ARGS	${CMAKE_BINARY_DIR}/pcre_chartables.c
	OUTPUT	${CMAKE_BINARY_DIR}/pcre_chartables.c
)

# Source code

SET(PCRE_HEADERS ${CMAKE_BINARY_DIR}/pcre.h)

SET(PCRE_SOURCES
	${CMAKE_BINARY_DIR}/pcre_chartables.c
	pcre_compile.c
	pcre_config.c
	pcre_dfa_exec.c
	pcre_exec.c
	pcre_fullinfo.c
	pcre_get.c
	pcre_globals.c
	pcre_info.c
	pcre_newline.c
	pcre_maketables.c
	pcre_ord2utf8.c
	pcre_refcount.c
	pcre_study.c
	pcre_tables.c
	pcre_try_flipped.c
	pcre_ucp_searchfuncs.c
	pcre_valid_utf8.c
	pcre_version.c
	pcre_xclass.c
)

SET(PCREPOSIX_HEADERS pcreposix.h)

SET(PCREPOSIX_SOURCES pcreposix.c)

SET(PCRECPP_HEADERS
	pcrecpp.h
	pcre_scanner.h
	${CMAKE_BINARY_DIR}/pcrecpparg.h
	${CMAKE_BINARY_DIR}/pcre_stringpiece.h
)

SET(PCRECPP_SOURCES
	pcrecpp.cc
	pcre_scanner.cc
	pcre_stringpiece.cc
)

# Build setup

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

IF(WIN32)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(WIN32)

SET(CMAKE_INCLUDE_CURRENT_DIR 1)

#SET(CMAKE_DEBUG_POSTFIX "d")

# Libraries

ADD_LIBRARY(pcre ${PCRE_HEADERS} ${PCRE_SOURCES})

ADD_LIBRARY(pcreposix ${PCREPOSIX_HEADERS} ${PCREPOSIX_SOURCES})
TARGET_LINK_LIBRARIES(pcreposix pcre)

IF(PCRE_BUILD_PCRECPP)
	ADD_LIBRARY(pcrecpp ${PCRECPP_HEADERS} ${PCRECPP_SOURCES})
	TARGET_LINK_LIBRARIES(pcrecpp pcre)
	IF(MINGW)
		SET_TARGET_PROPERTIES(pcrecpp PROPERTIES PREFIX "mingw-")
	ENDIF(MINGW)
ENDIF(PCRE_BUILD_PCRECPP)

# Executables

ADD_EXECUTABLE(pcretest pcretest.c)
TARGET_LINK_LIBRARIES(pcretest pcreposix)

ADD_EXECUTABLE(pcregrep pcregrep.c)
TARGET_LINK_LIBRARIES(pcregrep pcreposix)

IF(PCRE_BUILD_PCRECPP)
	ADD_EXECUTABLE(pcrecpp_unittest pcrecpp_unittest.cc)
	TARGET_LINK_LIBRARIES(pcrecpp_unittest pcrecpp)

	ADD_EXECUTABLE(pcre_scanner_unittest pcre_scanner_unittest.cc)
	TARGET_LINK_LIBRARIES(pcre_scanner_unittest pcrecpp)

	ADD_EXECUTABLE(pcre_stringpiece_unittest pcre_stringpiece_unittest.cc)
	TARGET_LINK_LIBRARIES(pcre_stringpiece_unittest pcrecpp)
ENDIF(PCRE_BUILD_PCRECPP)

# Testing

ENABLE_TESTING()

GET_TARGET_PROPERTY(PCREGREP_EXE pcregrep DEBUG_LOCATION)
GET_TARGET_PROPERTY(PCRETEST_EXE pcretest DEBUG_LOCATION)

# Write out a CTest configuration file that sets some needed environment
# variables for the test scripts.
#
FILE(WRITE ${CMAKE_BINARY_DIR}/CTestCustom.ctest
"# This is a generated file.
SET(ENV{srcdir} ${CMAKE_SOURCE_DIR})
SET(ENV{pcregrep} ${PCREGREP_EXE})
SET(ENV{pcretest} ${PCRETEST_EXE})
")

IF(UNIX)
	ADD_TEST(pcre_test	${CMAKE_SOURCE_DIR}/RunTest)
	ADD_TEST(pcre_grep_test ${CMAKE_SOURCE_DIR}/RunGrepTest)
ENDIF(UNIX)
IF(WIN32)
	ADD_TEST(pcre_test cmd /C ${CMAKE_SOURCE_DIR}/RunTest.bat)
ENDIF(WIN32)

GET_TARGET_PROPERTY(PCRECPP_UNITTEST_EXE
                    pcrecpp_unittest
                    DEBUG_LOCATION)

GET_TARGET_PROPERTY(PCRE_SCANNER_UNITTEST_EXE
                    pcre_scanner_unittest
                    DEBUG_LOCATION)

GET_TARGET_PROPERTY(PCRE_STRINGPIECE_UNITTEST_EXE
                    pcre_stringpiece_unittest
                    DEBUG_LOCATION)

ADD_TEST(pcrecpp_test          ${PCRECPP_UNITTEST_EXE})
ADD_TEST(pcre_scanner_test     ${PCRE_SCANNER_UNITTEST_EXE})
ADD_TEST(pcre_stringpiece_test ${PCRE_STRINGPIECE_UNITTEST_EXE})

# Installation

SET(CMAKE_INSTALL_ALWAYS 1)

INSTALL(TARGETS pcre pcreposix pcregrep pcretest
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

INSTALL(FILES ${PCRE_HEADERS} ${PCREPOSIX_HEADERS} DESTINATION include)

FILE(GLOB html ${CMAKE_SOURCE_DIR}/doc/html/*.html)
FILE(GLOB man1 ${CMAKE_SOURCE_DIR}/doc/*.1)
FILE(GLOB man3 ${CMAKE_SOURCE_DIR}/doc/*.3)

IF(PCRE_BUILD_PCRECPP)
	INSTALL(TARGETS pcrecpp
	        RUNTIME DESTINATION bin
	        LIBRARY DESTINATION lib
	        ARCHIVE DESTINATION lib)
	INSTALL(FILES ${PCRECPP_HEADERS} DESTINATION include)
ELSE(PCRE_BUILD_PCRECPP)
	# Remove pcrecpp.3
	FOREACH(man ${man3})
		GET_FILENAME_COMPONENT(man_tmp ${man} NAME)
		IF(NOT man_tmp STREQUAL "pcrecpp.3")
			SET(man3_new ${man3} ${man})
		ENDIF(NOT man_tmp STREQUAL "pcrecpp.3")
	ENDFOREACH(man ${man3})
	SET(man3 ${man3_new})
ENDIF(PCRE_BUILD_PCRECPP)

INSTALL(FILES ${man1} DESTINATION man/man1)
INSTALL(FILES ${man3} DESTINATION man/man3)
INSTALL(FILES ${html} DESTINATION share/doc/pcre/html)

# end CMakeLists.txt

## syncevolution 0.9.2-1

=== debian/changelog ===
syncevolution (1:0.9.2-1) unstable; urgency=low

  * SyncEvolution 0.9.2 release

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 02 Feb 2010 02:59:36 +0100

syncevolution (1:0.9.2~beta-1) unstable; urgency=low

  * SyncEvolution 0.9.2 snapshot

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 19 Jan 2010 22:55:14 +0100

syncevolution (1:0.9.2~beta-0) unstable; urgency=low

  * SyncEvolution 0.9.2 snapshot - not ready for Maemo5 yet

 -- Ove Kaaven <ovek@arcticnet.no>  Sat,  9 Jan 2010 15:00:19 +0100

syncevolution (1:0.8.1) stable; urgency=low

  * SyncEvolution 0.8.1, no relevant changes for Maemo

 -- Patrick Ohly <patrick.ohly@gmx.de>  Sat, 11 Oct 2008 09:31:33 +0200

syncevolution (1:0.8) unstable; urgency=low

  * final SyncEvolution 0.8

 -- Patrick Ohly <patrick.ohly@gmx.de>  Fri, 29 Aug 2008 20:58:56 +0200

syncevolution (1:0.7+0.8-beta3) unstable; urgency=low

  * third beta of SyncEvolution 0.8

 -- Patrick Ohly <patrick.ohly@gmx.de>  Sun, 17 Aug 2008 11:35:42 +0200

syncevolution (1:0.7+0.8-beta1a) unstable; urgency=low

  * Disabled support for X-OSSO-CONTACT-STATE on Maemo:
    it caused crashes because garbage strings were returned
    by the Evolution libraries (SF #1947050)

 -- Patrick Ohly <patrick.ohly@gmx.de>  Tue, 15 Jul 2008 22:15:00 +0200

syncevolution (1:0.7+0.8-beta1) unstable; urgency=low

  * first beta of SyncEvolution 0.8

 -- Patrick Ohly <patrick.ohly@gmx.de>  Sat, 12 Jul 2008 21:52:59 +0200

syncevolution (1:0.7+0.8-alpha1-2) unstable; urgency=low

  * first alpha of SyncEvolution 0.8

 -- Patrick Ohly <patrick.ohly@gmx.de>  Sun, 20 Apr 2008 09:45:41 +0200

syncevolution (1:0.7-3) unstable; urgency=low

  * The package manager on Maemo purges /usr/share/doc after installing
    packages; this removed the example configuration files. Now the
    docs are packaged under /usr/lib/syncevolution/doc.

 -- Patrick Ohly <patrick.ohly@gmx.de>  Thu, 31 Jan 2008 18:28:49 +0100

syncevolution (1:0.7-2) unstable; urgency=low

  * compiled with --as-needed to avoid useless dependencies on libs which
    are not available on ITOS 2008
  * replaced linking against a patched libdbus with a wrapper for the
    libdbus function dbus_connection_send_with_reply() which replaces
    the hard-coded default: this was necessary to be compatible with
    ITOS 2006 till 2008

 -- Patrick Ohly <patrick.ohly@gmx.de>  Sat, 19 Jan 2008 21:09:05 +0100

syncevolution (1:0.7-1) unstable; urgency=low

  * updated upstream sources

 -- Patrick Ohly <patrick.ohly@gmx.de>  Mon, 17 Dec 2007 20:16:30 +0100

syncevolution (0.7-pre2-1) unstable; urgency=high

  * updated upstream sources

 -- Patrick Ohly <patrick.ohly@gmx.de>  Thu,  8 Nov 2007 23:04:55 +0100

syncevolution (0.7-pre1-1) unstable; urgency=low

  * updated upstream sources
  * SF #1781652: Nokia 770/800: uninstallable package
    fixed by setting the section to "user/communication"
  
 -- Patrick Ohly <patrick.ohly@gmx.de>  Sat, 25 Aug 2007 15:59:54 +0200

syncevolution (0.6) stable; urgency=low

  * updated upstream sources

 -- Patrick Ohly <patrick.ohly@gmx.de>  Mon, 13 Jul 2007 22:23:19 +0200

syncevolution (0.6-pre2) unstable; urgency=low

  * updated upstream sources
  * packaged without dependency on libecal/libebook

 -- Patrick Ohly <patrick.ohly@gmx.de>  Sat,  7 Apr 2007 17:22:19 +0200

syncevolution (0.6-pre1) unstable; urgency=low

  * Initial release as .deb file

 -- Patrick Ohly <patrick.ohly@gmx.de>  Mon, 26 Mar 2007 21:46:30 +0200

=== debian/control ===
Source: syncevolution
Section: utils
Priority: extra
Maintainer: Ove Kaaven <ovek@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libpcre3-dev,
 libcurl3-dev, libedataserver-dev, libebook-dev, calendar-backend-dev,
 libsqlite3-dev, libboost1.38-dev
Standards-Version: 3.7.2

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}
Description: SyncEvolution - a SyncML client
 SyncEvolution allows you to sync your contacts and calendar with SyncML
 servers on the Internet, such as Funambol and ScheduleWorld.

Package: syncevolution-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}
Description: SyncEvolution development files

## syncevolution 0.9.2-2

=== debian/changelog ===
syncevolution (1:0.9.2-2) unstable; urgency=low

  * Added bug tracker field to debian/control

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 02 Feb 2010 03:50:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  libcurl3-dev, libedataserver-dev, libebook-dev, calendar-backend-dev,
  libsqlite3-dev, libboost1.38-dev
 Standards-Version: 3.7.2
+XSBC-Bugtracker: http://bugzilla.moblin.org/
 
 Package: syncevolution
 Architecture: any

## syncevolution 0.9.2-3

=== debian/changelog ===
syncevolution (1:0.9.2-3) unstable; urgency=low

  * Deal with upstream breakage of --enable-maemo-calendar

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 02 Feb 2010 22:04:52 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# options that can be added to DEB_BUILD_OPTIONS:
# - noopt: compile with -O0
# - maemo: enable maemo hacks

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
LDFLAGS = -Wl,--as-needed
export CFLAGS
export LDFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += CXXFLAGS="-g -O0"
endif

CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal --with-synthesis-src=libsynthesis

#ifneq (,$(findstring maemo,$(DEB_BUILD_OPTIONS)))
#	CONFIGURE_FLAGS += --enable-maemo --enable-shared
#endif

config.status: configure
	dh_testdir
	# --enable-shared added to build SyncEvolution backends as modules,
	# which is more flexible but not the default because it requires a
	# specific installation layout.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_FLAGS) \
	 --prefix=/usr --docdir=/usr/lib/syncevolution/doc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --sysconfdir=/etc
	# fix place of \$compiler_flags in -shared build line: our -Wl,--as-needed has
	# no effect if it comes after the libs, which is where libtool 1.5.24 puts it
	# normally
	perl -pi -e 's/-shared (.*) \\\$$compiler_flags/-shared \\\$$compiler_flags $$1/' libtool
	# add dbus wrapper which overrides the default timeout: only required if not yet
	# in upstream source (it wasn't in the 0.7 source snapshot)
	grep dbus_connection_send_with_reply src/EvolutionSyncClient.cpp >/dev/null || cat debian/dbus-wrapper.cpp >>src/EvolutionSyncClient.cpp

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=syncebook --exclude=syncecal
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## syncevolution 0.9.2-4

=== debian/changelog ===
syncevolution (1:0.9.2-4) unstable; urgency=low

  * Fixed synchronization of notes.
  * Forced libcurl to use IPv4 only.
  * Disable the SSL server certificate verification by default,
    until someone comes up with a good way to handle CA certificates.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 15 Feb 2010 19:17:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,9 @@
 	CONFIGURE_FLAGS += CXXFLAGS="-g -O0"
 endif
 
-CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal --with-synthesis-src=libsynthesis
+CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-ssl-certificate-check \
+ --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal \
+ --with-synthesis-src=libsynthesis
 
 #ifneq (,$(findstring maemo,$(DEB_BUILD_OPTIONS)))
 #	CONFIGURE_FLAGS += --enable-maemo --enable-shared

## syncevolution 1.0+ds1~beta2a

=== debian/changelog ===
syncevolution (1.0+ds1~beta2a-1) unstable; urgency=low

  * New upstream beta (Closes: #572640)
  * According to http://bugzilla.moblin.org/show_bug.cgi?id=8758,
    syncevolution is now smarter about retrying in certain situations.
    (Closes: #565527).
  * Update Standard-Version to 3.8.4 (No changes).

 -- David Bremner <bremner@unb.ca>  Fri, 26 Feb 2010 15:45:00 -0400

syncevolution (1.0+ds1~a1-2) experimental; urgency=low

  * Don't build depend on libopenobex1-dev on kfreebsd-*. This avoids
    trying to compile bluetooth support, which relies on bluez 
    (Closes: #566940)

 -- David Bremner <bremner@unb.ca>  Tue, 26 Jan 2010 23:28:44 -0400

syncevolution (1.0+ds1~a1-1) experimental; urgency=low

  * New Upstream Version
  * Development snapshot, use with caution.

 -- David Bremner <bremner@unb.ca>  Sun, 17 Jan 2010 22:07:03 -0400

syncevolution (0.9.1+ds1-1) unstable; urgency=low

  * New Upstream Version
  * Standards Version 3.8.3 (no changes)
  * Convert to source package format 3.0 (quilt)

 -- David Bremner <bremner@unb.ca>  Fri, 20 Nov 2009 07:55:54 -0400

syncevolution (0.9+ds1-2) unstable; urgency=low

  * Major update to debian/changelog to list all copyright holders.

 -- David Bremner <bremner@unb.ca>  Fri, 20 Nov 2009 07:55:03 -0400

syncevolution (0.9+ds1-1) unstable; urgency=low

  * Initial release (Closes: #404942)  

 -- David Bremner <bremner@unb.ca>  Sun, 16 Aug 2009 23:53:47 -0300

=== debian/control ===
Source: syncevolution
Section: utils
Priority: optional
Maintainer: David Bremner <bremner@unb.ca>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libedataserver1.2-dev, 
 libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
 libsynthesis-dev (>=3.4.0.5~), libtool, automake, intltool, pkg-config,
 libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
 libgconf2-dev, libgnome-keyring-dev, xsltproc, libopenobex1-dev [!kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.4
Homepage: http://www.syncevolution.org
Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
Vcs-Browser: http://git.debian.org/?p=collab-maint/syncevolution

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: evolution
Description: Evolution data synchronization program using SyncML
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.

Package: sync-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: evolution
Description: Evolution data synchronization program using SyncML (GTK+ GUI)
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.
 .
 This package provides a GTK+ graphical user interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
UPSTREAMTAG=syncevolution-1-0-beta-2a

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

%: 
	dh $@

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_configure: 
	sh autogen.sh
	./configure --with-synthesis-src=none --prefix=/usr --sysconfdir=/etc \
			--libexecdir=/usr/lib/syncevolution --enable-gui

override_dh_install:
	dh_install -X"*.pl"

get-orig-source: 
	git archive --format=tar ${UPSTREAMTAG} | gzip -9 > ../${ORIG}

## syncevolution 1.0-1

=== debian/changelog ===
syncevolution (1:1.0-1) unstable; urgency=low

  * SyncEvolution 1.0 for Maemo.
    - Not built with Bluetooth support, since that's handled by
      Nokia's own on-device software.
    - Not built with D-Bus support, since that does not interact
      with Nokia's Internet Connectivity Daemon (ICD). For the
      time being, autosync is best handled by syncevolution-frontend.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 20 Jul 2010 19:44:08 +0200

=== debian/control ===
Source: syncevolution
Section: utils
Priority: extra
Maintainer: Ove Kaaven <ovek@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libpcre3-dev,
 libcurl3-dev, libedataserver-dev, libebook-dev, calendar-backend-dev,
 libsqlite3-dev, libboost1.38-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: http://bugs.meego.com/buglist.cgi?product=SyncEvolution

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}
Description: SyncEvolution - a SyncML client
 SyncEvolution allows you to sync your contacts and calendar with SyncML
 servers on the Internet, such as Funambol and ScheduleWorld.

Package: syncevolution-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}
Description: SyncEvolution development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# options that can be added to DEB_BUILD_OPTIONS:
# - noopt: compile with -O0
# - maemo: enable maemo hacks

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
LDFLAGS = -Wl,--as-needed
export CFLAGS
export LDFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += CXXFLAGS="-g -O0"
endif

CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-ssl-certificate-check \
 --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal \
 --disable-bluetooth --with-synthesis-src=libsynthesis

#ifneq (,$(findstring maemo,$(DEB_BUILD_OPTIONS)))
#	CONFIGURE_FLAGS += --enable-maemo --enable-shared
#endif

config.status: configure
	dh_testdir
	# --enable-shared added to build SyncEvolution backends as modules,
	# which is more flexible but not the default because it requires a
	# specific installation layout.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_FLAGS) \
	 --prefix=/usr --docdir=/usr/lib/syncevolution/doc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --sysconfdir=/etc
	# fix place of \$compiler_flags in -shared build line: our -Wl,--as-needed has
	# no effect if it comes after the libs, which is where libtool 1.5.24 puts it
	# normally
	perl -pi -e 's/-shared (.*) \\\$$compiler_flags/-shared \\\$$compiler_flags $$1/' libtool

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=syncebook --exclude=syncecal
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## syncevolution 1.1+ds1

=== debian/changelog ===
syncevolution (1.1+ds1-5ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #697087)
  * Drop debian/patches/01_fix_duplicated_symbols.patch: Fixed upstream
  * debian/patches/0004-fix-linking-as-needed.patch: Fix linking with
    --as-needed, not sure it was the best way though.

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 23 Jan 2011 17:45:12 +0100

syncevolution (1.1+ds1-5) unstable; urgency=low

  * patch: Avoid dependence on PATH_MAX (fixes FTBFS on hurd).
  * patch: Add a second translation between sysync::memSize and size_t
    (Closed: #604840)
  * Move synccompare man page to syncevolution-common

 -- David Bremner <bremner@debian.org>  Sun, 28 Nov 2010 10:27:11 -0400

syncevolution (1.1+ds1-4) experimental; urgency=low

  * Remove build dependency on libopenobex1-dev on hurd-i386, because it is not 
    available there. The package is already built without it on kfreebsd.
  * Explicitly translate between sysync::memSize and size_t. Thanks to
    Patrick Ohly for the patch.

 -- David Bremner <bremner@debian.org>  Wed, 24 Nov 2010 15:10:00 -0800

syncevolution (1.1+ds1-3) experimental; urgency=low

  * Upload to experimental to test autobuilding, particularly on Hurd.

 -- David Bremner <bremner@debian.org>  Sun, 21 Nov 2010 08:37:48 -0800

syncevolution (1.1+ds1-2) experimental; urgency=low

  * Update conflicts/replaces for syncevolution-common. Thanks to Simon
    McVittie for the report, and the fix. (Closes: #603023).

 -- David Bremner <bremner@debian.org>  Wed, 10 Nov 2010 16:32:55 -0400

syncevolution (1.1+ds1-1) experimental; urgency=low

  [ David Bremner ]
  * New upstream release (Closes: #582376)
  * Update maintainer address
  * New binary package syncevolution-http for syncevo-http-server
    (Closes: #573265)
  * Add -dbg package to hold debugging symbols
  * Recommend evolution-data-server instead of evolution
  * Update Standards-Version to 3.9.1 (No changes).
  
  [ Thomas Bechtold ]
  * Split source package into syncevolution-common, syncevolution and
    sync-ui.
  * add dbus-server-sync.py and syncevo-phone-config.py to syncevolution
    examples

 -- David Bremner <bremner@debian.org>  Mon, 08 Nov 2010 19:59:29 -0400

syncevolution (1.0+ds1~beta2a-1ubuntu1) maverick; urgency=low

  * Fix LP: #644546 - syncevolution fails to build in Maverick. Rename
    some symbols which now conflict with GDBus
    - add debian/patches/01_fix_duplicated_symbols.patch
    - add debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 01 Oct 2010 14:19:59 +0100

syncevolution (1.0+ds1~beta2a-1build1) maverick; urgency=low

  * No-change upload to build against current evolution library ABI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Aug 2010 17:52:57 +0200

=== debian/control ===
Source: syncevolution
Section: utils
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libedataserver1.2-dev, 
 libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
 libsynthesis-dev (>=3.4.0.6~), libsynthesis0 (>=3.4.0.6~), libsmltk0 (>= 3.4.0.6~),
 libtool, automake, intltool, pkg-config,
 libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
 libgconf2-dev, libgnome-keyring-dev, xsltproc, 
 libopenobex1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libnotify-dev,
 python-docutils
Standards-Version: 3.9.1
Homepage: http://www.syncevolution.org
Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
Vcs-Browser: http://git.debian.org/?p=collab-maint/syncevolution.git

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version})
Recommends: evolution-data-server, bluez
Description: Evolution data synchronization program using SyncML (CLI)
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.

Package: sync-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), 
	 syncevolution-dbus 
Recommends: evolution-data-server, bluez
Description: Evolution data synchronization program using SyncML (GTK+ GUI)
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.
 .
 This package provides a GTK+ graphical user interface.

Package: syncevolution-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Description: Evolution data synchronization program using SyncML 
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.
 .
 This package provides common architecture independent files.

Package: syncevolution-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Recommends: evolution-data-server
Description: Evolution data synchronization program using SyncML (D-Bus support)
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.
 .
 This package provides D-Bus services.

Package: syncevolution-http
Architecture: all
Depends: ${misc:Depends}, syncevolution-dbus (>= ${source:Version}), python,
 python-dbus, dbus-x11, python-twisted-web, python-gobject
Description: Evolution data synchronization program using SyncML (http support)
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.
 .
 This package provides the http server syncevo-http-server.


Package: syncevolution-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},  syncevolution (= ${binary:Version}),
	 sync-ui (= ${binary:Version}), 
	 syncevolution-dbus (= ${binary:Version})
Description: Evolution data synchronization program using SyncML (debugging)
 SyncEvolution synchronizes Evolution's contact, calendar and task
 items via SyncML. The items are exchanged in the vCard 2.1 or 3.0
 format and iCalender 2.0 format via the Synthesis C++ client API
 library, which should make SyncEvolution compatible with the majority
 of SyncML servers. Full, one-way and incremental synchronization of
 items are supported.
 .
 This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
UPSTREAMTAG=upstream/1.1+ds1

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

export CONFIG_SHELL=/bin/bash

%: 
	dh $@

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	install --mode=0755 --owner=root test/syncevo-http-server.py \
		$(CURDIR)/debian/tmp/usr/bin/syncevo-http-server

override_dh_auto_configure: 
	sh autogen.sh
	./configure --with-synthesis-src=none --prefix=/usr --sysconfdir=/etc \
			--libexecdir=/usr/lib/syncevolution --enable-gui \
			--with-rst2man --with-rst2html

override_dh_install:
	dh_install -X"*.pl"

override_dh_strip:
	dh_strip --dbg-package=syncevolution-dbg

get-orig-source: 
	git archive --format=tar ${UPSTREAMTAG} | gzip -9 > ../${ORIG}

## syncevolution 1.1.1-1

=== debian/changelog ===
syncevolution (1:1.1.1-1) unstable; urgency=low

  * SyncEvolution 1.1.1 for Maemo.
    - Has workaround for Nokia's calendar backend not understanding
      the timezone format of ical 2.0.
  * Added handling of contact photos.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 05 Feb 2011 00:04:47 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# options that can be added to DEB_BUILD_OPTIONS:
# - noopt: compile with -O0
# - maemo: enable maemo hacks

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
LDFLAGS = -Wl,--as-needed
export CFLAGS
export LDFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += CXXFLAGS="-g -O0"
endif

CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-ssl-certificate-check \
 --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal \
 --disable-bluetooth --with-synthesis-src=libsynthesis

#ifneq (,$(findstring maemo,$(DEB_BUILD_OPTIONS)))
#	CONFIGURE_FLAGS += --enable-maemo --enable-shared
#endif

configure: gen-autotools.sh configure-pre.in configure-post.in
	./autogen-maemo.sh

config.status: configure
	dh_testdir
	# --enable-shared added to build SyncEvolution backends as modules,
	# which is more flexible but not the default because it requires a
	# specific installation layout.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_FLAGS) \
	 --prefix=/usr --docdir=/usr/lib/syncevolution/doc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --sysconfdir=/etc
	# fix place of \$compiler_flags in -shared build line: our -Wl,--as-needed has
	# no effect if it comes after the libs, which is where libtool 1.5.24 puts it
	# normally
	perl -pi -e 's/-shared (.*) \\\$$compiler_flags/-shared \\\$$compiler_flags $$1/' libtool

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=syncebook --exclude=syncecal
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
